<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: alpha.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>alpha.h</h1><a href="alpha_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef _alpha_h_</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define _alpha_h_</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span>
<a name="l00004"></a>00004 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00005"></a>00005 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00006"></a>00006 <span class="preprocessor">#endif</span>
<a name="l00007"></a>00007 <span class="preprocessor"></span>
<a name="l00008"></a>00008 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="alpha_8c.html#bf25c91aa148c825f260e5c8b50fa5b1">GaussSimplify</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M, <a class="code" href="structmatrix.html">Matrix</a> *M2 );
<a name="l00009"></a>00009 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="alpha_8c.html#0f28b3a3172da3ef981f4a57c7ead628">PolyhedronLTQ</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *P1, <a class="code" href="structpolyhedron.html">Polyhedron</a> *P2, <span class="keywordtype">int</span> INDEX, <span class="keywordtype">int</span>
<a name="l00010"></a>00010                            PDIM, <span class="keywordtype">int</span> <a class="code" href="verif__ehrhart_8c.html#89fd83aa168651629c012d8655635588">MAXRAYS</a> );
<a name="l00011"></a>00011 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="alpha_8c.html#682408c0e864140d11fb7b841e5d6654">PolyhedronTSort</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> ** L, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="polyparam_8c.html#76f11d9a0a47b94f72c2d0e77fb32240">n</a>, <span class="keywordtype">unsigned</span>
<a name="l00012"></a>00012                              <span class="keywordtype">int</span> index, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> pdim, <span class="keywordtype">int</span> * time,
<a name="l00013"></a>00013                              <span class="keywordtype">int</span> * pvect, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="verif__ehrhart_8c.html#89fd83aa168651629c012d8655635588">MAXRAYS</a> );
<a name="l00014"></a>00014 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="alpha_8c.html#5be7eb3e254a2e2e61c50d736b4900de">Polyhedron_Not_Empty</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *P, <a class="code" href="structpolyhedron.html">Polyhedron</a> *C, <span class="keywordtype">int</span>
<a name="l00015"></a>00015                                   <a class="code" href="verif__ehrhart_8c.html#89fd83aa168651629c012d8655635588">MAXRAYS</a> );
<a name="l00016"></a>00016 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00017"></a>00017 <span class="preprocessor"></span>}
<a name="l00018"></a>00018 <span class="preprocessor">#endif</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span>
<a name="l00020"></a>00020 <span class="preprocessor">#endif </span><span class="comment">/* _alpha_h_ */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:58 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
